## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate imgref

Name:           rust-imgref
Version:        1.11.0
Release:        %autorelease
Summary:        Two-dimensional slice for safe and convenient handling of pixel buffers

License:        Apache-2.0
URL:            https://crates.io/crates/imgref
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove CC0-1.0 from license metadata (not acceptable for code in Fedora)
Patch:          imgref-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A basic 2-dimensional slice for safe and convenient handling of pixel
buffers with width, height & stride.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-CC0
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deprecated-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deprecated-devel %{_description}

This package contains library source intended for building other packages which
use the "deprecated" feature of the "%{crate}" crate.

%files       -n %{name}+deprecated-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Oct 20 2024 Fabio Valentini <decathorpe@gmail.com> - 1.11.0-1
- Update to version 1.11.0; Fixes RHBZ#2319040

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Fabio Valentini <decathorpe@gmail.com> - 1.10.1-1
- Update to version 1.10.1

* Tue May 04 2021 Fabio Valentini <decathorpe@gmail.com> - 1.9.0-1
- Update to version 1.9.0.
- Fixes RHBZ#1944107

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 1.8.0-1
- Update to version 1.8.0.
- Fixes RHBZ#1938551

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 31 2020 Fabio Valentini <decathorpe@gmail.com> - 1.7.1-1
- Update to version 1.7.1.
- Fixes RHBZ#1911702

* Thu Aug 20 2020 Josh Stone <jistone@redhat.com> - 1.7.0-1
- Update to 1.7.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed May 13 2020 Josh Stone <jistone@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Mon May 04 2020 Josh Stone <jistone@redhat.com> - 1.6.0-1
- Update to 1.6.0

* Sun Apr 19 13:06:15 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.4.3-1
- Update to 1.4.3

* Fri Apr 17 2020 Josh Stone <jistone@redhat.com> - 1.4.2-1
- Update to 1.4.2

* Wed Apr 08 2020 Josh Stone <jistone@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Sep 01 20:31:54 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Apr 30 21:46:48 EEST 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.5-1
- Initial package

## END: Generated by rpmautospec
